InfoGrab DocsInfoGrab Docs

프로젝트 반복 API

요약

이 API를 사용하여 프로젝트 이터레이션에 접근합니다. 그룹 이터레이션은 그룹 이터레이션 API를 사용합니다. 프로젝트는 자체 이터레이션을 가지지 않습니다. 지정한 프로젝트의 모든 이터레이션을 조회합니다. 이터레이션 케이던스의 Enable automatic scheduling으로 생성된 이터레이션은 title 및 description 필드에 null을 반환합니다.

이 API를 사용하여 프로젝트 이터레이션에 접근합니다.

그룹 이터레이션은 그룹 이터레이션 API를 사용합니다.

프로젝트는 자체 이터레이션을 가지지 않습니다. 이 엔드포인트로 프로젝트 상위 그룹의 이터레이션을 조회합니다.

모든 프로젝트 이터레이션 조회#

지정한 프로젝트의 모든 이터레이션을 조회합니다.

이터레이션 케이던스의 Enable automatic scheduling으로 생성된 이터레이션은 title 및 description 필드에 null을 반환합니다.

GET /projects/:id/iterations
GET /projects/:id/iterations?state=opened
GET /projects/:id/iterations?state=closed
GET /projects/:id/iterations?search=version
GET /projects/:id/iterations?include_ancestors=false
GET /projects/:id/iterations?include_descendants=true
GET /projects/:id/iterations?updated_before=2013-10-02T09%3A24%3A18Z
GET /projects/:id/iterations?updated_after=2013-10-02T09%3A24%3A18Z
속성 타입 필수 설명
state string 아니요 'opened, upcoming, current, closed 또는 all 이터레이션을 반환합니다.'
search string 아니요 제공한 문자열과 일치하는 제목을 가진 이터레이션만 반환합니다.
in array of strings 아니요 search 인수로 주어진 쿼리로 퍼지 검색을 수행할 필드입니다. 사용할 수 있는 옵션은 title과 cadence_title 입니다. 기본값은 [title] 입니다.
include_ancestors boolean 아니요 상위 그룹과 그 조상 그룹의 이터레이션을 포함합니다. 기본값은 true 입니다.
include_descendants boolean 아니요 상위 그룹과 그 하위 그룹의 이터레이션을 포함합니다. 기본값은 false 입니다.
updated_before datetime 아니요 지정한 일시 이전에 업데이트된 이터레이션만 반환합니다. ISO 8601 형식(2019-03-15T08:00:00Z)이어야 합니다.
updated_after datetime 아니요 지정한 일시 이후에 업데이트된 이터레이션만 반환합니다. ISO 8601 형식(2019-03-15T08:00:00Z)이어야 합니다.

요청 예시:

curl --request GET \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/projects/5/iterations"

응답 예시:

[
  {
    "id": 53,
    "iid": 13,
    "group_id": 5,
    "title": "Iteration II",
    "description": "Ipsum Lorem ipsum",
    "state": 2,
    "created_at": "2020-01-27T05:07:12.573Z",
    "updated_at": "2020-01-27T05:07:12.573Z",
    "due_date": "2020-02-01",
    "start_date": "2020-02-14",
    "web_url": "http://gitlab.example.com/groups/my-group/-/iterations/13"
  }
]

프로젝트 반복 API

GitLab v19.5
Tier: Premium, Ultimate
Offering: GitLab.com, GitLab Self-Managed, GitLab Dedicated
원문 보기

요약

이 API를 사용하여 프로젝트 이터레이션에 접근합니다. 그룹 이터레이션은 그룹 이터레이션 API를 사용합니다. 프로젝트는 자체 이터레이션을 가지지 않습니다. 지정한 프로젝트의 모든 이터레이션을 조회합니다. 이터레이션 케이던스의 Enable automatic scheduling으로 생성된 이터레이션은 title 및 description 필드에 null을 반환합니다.

이 API를 사용하여 프로젝트 이터레이션에 접근합니다.

그룹 이터레이션은 그룹 이터레이션 API를 사용합니다.

프로젝트는 자체 이터레이션을 가지지 않습니다. 이 엔드포인트로 프로젝트 상위 그룹의 이터레이션을 조회합니다.

모든 프로젝트 이터레이션 조회#

지정한 프로젝트의 모든 이터레이션을 조회합니다.

이터레이션 케이던스의 Enable automatic scheduling으로 생성된 이터레이션은 title 및 description 필드에 null을 반환합니다.

GET /projects/:id/iterations
GET /projects/:id/iterations?state=opened
GET /projects/:id/iterations?state=closed
GET /projects/:id/iterations?search=version
GET /projects/:id/iterations?include_ancestors=false
GET /projects/:id/iterations?include_descendants=true
GET /projects/:id/iterations?updated_before=2013-10-02T09%3A24%3A18Z
GET /projects/:id/iterations?updated_after=2013-10-02T09%3A24%3A18Z
속성 타입 필수 설명
state string 아니요 'opened, upcoming, current, closed 또는 all 이터레이션을 반환합니다.'
search string 아니요 제공한 문자열과 일치하는 제목을 가진 이터레이션만 반환합니다.
in array of strings 아니요 search 인수로 주어진 쿼리로 퍼지 검색을 수행할 필드입니다. 사용할 수 있는 옵션은 title과 cadence_title 입니다. 기본값은 [title] 입니다.
include_ancestors boolean 아니요 상위 그룹과 그 조상 그룹의 이터레이션을 포함합니다. 기본값은 true 입니다.
include_descendants boolean 아니요 상위 그룹과 그 하위 그룹의 이터레이션을 포함합니다. 기본값은 false 입니다.
updated_before datetime 아니요 지정한 일시 이전에 업데이트된 이터레이션만 반환합니다. ISO 8601 형식(2019-03-15T08:00:00Z)이어야 합니다.
updated_after datetime 아니요 지정한 일시 이후에 업데이트된 이터레이션만 반환합니다. ISO 8601 형식(2019-03-15T08:00:00Z)이어야 합니다.

요청 예시:

curl --request GET \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/projects/5/iterations"

응답 예시:

[
  {
    "id": 53,
    "iid": 13,
    "group_id": 5,
    "title": "Iteration II",
    "description": "Ipsum Lorem ipsum",
    "state": 2,
    "created_at": "2020-01-27T05:07:12.573Z",
    "updated_at": "2020-01-27T05:07:12.573Z",
    "due_date": "2020-02-01",
    "start_date": "2020-02-14",
    "web_url": "http://gitlab.example.com/groups/my-group/-/iterations/13"
  }
]